Bug 400171 - SELinux is preventing gok (xdm_t) "execute" to (gconfd_exec_t).
SELinux is preventing gok (xdm_t) "execute" to (gconfd_exec_t).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 16:28 EST by morgan read
Modified: 2008-01-30 14:19 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
attached selinux_alert.txt (2.11 KB, text/plain)
2007-11-26 16:28 EST, morgan read
no flags Details

  None (edit)
Description morgan read 2007-11-26 16:28:29 EST
Description of problem:
23 SELinux hits in the last few days

Version-Release number of selected component (if applicable):
[morgan@morgansmachine ~]$ rpm -q gok
gok-1.3.7-1.fc8
[morgan@morgansmachine ~]$ 

How reproducible:
Seems often

Steps to Reproduce:
1. No step, keeps reproducing all by itself
2.
3.
  
Actual results:
SELinux alert reports

Expected results:
No SELinux alert reports

Additional info:
See attached selinux_alert.txt
Comment 1 morgan read 2007-11-26 16:28:29 EST
Created attachment 269311 [details]
attached selinux_alert.txt
Comment 2 David Zeuthen 2007-11-26 17:28:53 EST
wrong component
Comment 3 Daniel Walsh 2007-11-26 22:24:14 EST
Ray does this get started in the session or does gdm exec gok somewhere else?
Comment 4 Ray Strode [halfline] 2007-11-29 10:44:37 EST
gdm can start gok I believe if you press a key combo or do a mouse gesture (to
help with login)
Comment 5 Daniel Walsh 2007-11-30 09:22:05 EST
You can allow this for now by executing 

# audit2allow -M mypol -i /var/log/audit/audit.log 
# semodule -i mypol.pp

Fixed in selinux-policy-3.0.8-63.fc8
Comment 6 Daniel Walsh 2008-01-30 14:19:23 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.